#ifndef PARSER_H
#define PARSER_H

#include <QDebug>
#include <QTreeWidget>
#include <QTreeWidgetItem>
#include <QXmlDefaultHandler>
#include <QXmlAttributes>

class parser : public QXmlDefaultHandler
{
private:
    QTreeWidget *treeWidget;
    QTreeWidgetItem *treeWidgetItem;
    QString tmp;
    QString text;
public:
    parser(QTreeWidget* tree, const QString&);
    bool startElement(const QString&,const QString&,const QString&,const QXmlAttributes& attr);
    bool characters(const QString& strText);
    bool endElement(const QString&, const QString&, const QString& str);
    bool Errors(const QXmlParseException& exception);
};

#endif // PARSER_H
